From 1f43b23b0c09422f2d15bc73ec40d3a67c122db8 Mon Sep 17 00:00:00 2001
From: Kedar Sovani <kedars@marvell.com>
Date: Fri, 19 Jun 2009 14:57:50 +0200
Subject: [PATCH] nss_ldap: Fix build on linux-gnueabi

Signed-off-by: Kedar Sovani <kedars@marvell.com>
---
 nss_ldap-264-gnueabi.patch |   11 +++++++++++
 nss_ldap.spec              |    7 ++++++-
 2 files changed, 17 insertions(+), 1 deletions(-)
 create mode 100644 nss_ldap-264-gnueabi.patch

diff --git a/nss_ldap-264-gnueabi.patch b/nss_ldap-264-gnueabi.patch
new file mode 100644
index 0000000..fd752bb
--- /dev/null
+++ b/nss_ldap-264-gnueabi.patch
@@ -0,0 +1,11 @@
+--- nss_ldap-264.orig/configure.in	2009-06-19 06:42:51.226558853 -0400
++++ nss_ldap-264/configure.in	2009-06-19 08:49:17.776556102 -0400
+@@ -98,7 +98,7 @@ linux*) nss_ldap_so_LDFLAGS="-shared -Wl
+ esac
+ 
+ AM_CONDITIONAL(GCC, test "$GCC" = "yes")
+-AM_CONDITIONAL(GLIBC, test "$target_os" = "linux" -o "$target_os" = "linux-gnu")
++AM_CONDITIONAL(GLIBC, test "$target_os" = "linux" -o "$target_os" = "linux-gnu" -o "$target_os" = "linux-gnueabi")
+ AM_CONDITIONAL(AIX, test "$TARGET_OS" = AIX)
+ AM_CONDITIONAL(HPUX, test "$TARGET_OS" = HPUX)
+ 
diff --git a/nss_ldap.spec b/nss_ldap.spec
index 2e950c9..731eaa4 100644
--- a/nss_ldap.spec
+++ b/nss_ldap.spec
@@ -2,7 +2,7 @@
 Summary: NSS library and PAM module for LDAP
 Name: nss_ldap
 Version: 264
-Release: 2%{?dist}.fa1
+Release: 2%{?dist}.fa2
 Source0: ftp://ftp.padl.com/pub/nss_ldap-%{version}.tar.gz
 Source1: ftp://ftp.padl.com/pub/pam_ldap-%{pam_ldap_version}.tar.gz
 Source3: nss_ldap.versions
@@ -24,6 +24,7 @@ Patch16: pam_ldap-184-referral-passwd2.patch
 Patch17: nss_ldap-259-res_init.patch
 Patch19: pam_ldap-184-broken-sasl-rebind.patch
 Patch20: pam_ldap-184-nsrole.patch
+Patch21: nss_ldap-264-gnueabi.patch
 
 URL: http://www.padl.com/
 License: LGPLv2+
@@ -63,6 +64,7 @@ cp nss_ldap-%{version}/snprintf.h pam_ldap-%{pam_ldap_version}/
 pushd nss_ldap-%{version}
 %patch8 -p1 -b .soname
 %patch17 -p1 -b .res_init
+%patch21 -p1 -b .gnueabi
 autoreconf -f -i
 popd
 
@@ -190,6 +192,9 @@ fi
 %doc pam_ldap-%{pam_ldap_version}/ns-pwd-policy.schema
 
 %changelog
+* Fri Jun 19 2009 Kedar Sovani <kedars@marvell.com>  - 264-2.fa2
+- Fix build on linux-gnueabi.
+
 * Fri Jun 19 2009 Kedar Sovani <kedars@marvell.com>  - 264-2.fa1
 - BuildRequires: openssl-static
 
-- 
1.5.5.6

